VME Intensity Monitor - Feature #11015
Milestone # 10477 (New): ANUB Startup

Feature # 9396 (Assigned): Beam Energy Loss Devices
BEL end-of-flattop reading devices
11/26/2015 11:22 AM - John Diamond

Status: Closed Start date: 11/26/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.75 hours
Description

See:

e |:BEL20, I:BEL21, I:BEL23, I:BEL29, I:BEL2A, I:BEL2B, I:BEL2D, I:BEL2E
e R:BELEO, R:BELE1, R:BELE2, R:BELE3, R:BELE9

It might make sense to use cycle devices to sample BEL on these events.

Also, devices for normalized and average BEL at end-of-flattop readings

History

#1 - 12/20/2015 04:34 PM - John Diamond

Implemented EOF samples and an read accessor for returning the sample to ACNET.
Updated anubstartup with default EOF triggers.
Need to create a setting accessor to re-set the EOF delay.

#2 - 12/20/2015 09:38 PM - John Diamond

Implemented an accessor for reading & setting the EOF BEL sample time.

#3 - 12/20/2015 09:54 PM - John Diamond
- Status changed from New to Assigned
- Assignee set to John Diamond

- % Done changed from 0 to 80

Changed the SSDN device ID from 0x0020 to 0x002b and added a setting parameter to the following:

Z:IBEL20
Z:IBEL21
Z:IBEL23
Z:IBEL2A
Z:RBELES3

#4 - 12/21/2015 10:53 AM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 80 to 100

Verified that the sample time can be changed via ACNET.
